- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# ExternalRefCountData Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 173 of file qsharedpointer_impl.h.

`#include <qsharedpointer_impl.h>`

Inheritance diagram for ExternalRefCountData:
[legend]

List of all members.

## Public Member Functions
| ExternalRefCountData ()
| ExternalRefCountData (Qt::Initialization)
virtual | ~ExternalRefCountData ()
virtual bool | destroy ()
Q_CORE_EXPORT void | setQObjectShared (const QObject *, bool enable)
void | setQObjectShared (...)
## Static Public Member Functions
static Q_CORE_EXPORT ExternalRefCountData * | getAndRef (const QObject *)
## Public Attributes
QBasicAtomicInt | weakref
QBasicAtomicInt | strongref

## Constructor & Destructor Documentation

ExternalRefCountData | ( |  | ) | `[inline]`

Definition at line 178 of file qsharedpointer_impl.h.

            {
                strongref = 1;
                weakref = 1;
            }

ExternalRefCountData | ( | Qt::Initialization |  | ) | `[inline]`

Definition at line 183 of file qsharedpointer_impl.h.

    { }

virtual ~ExternalRefCountData | ( |  | ) | `[inline, virtual]`

Definition at line 184 of file qsharedpointer_impl.h.

    { Q_ASSERT(!weakref); Q_ASSERT(strongref <= 0); }

## Member Function Documentation

virtual bool destroy | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented in ExternalRefCountWithDestroyFn.

Definition at line 189 of file qsharedpointer_impl.h.

    { return false; }

static Q_CORE_EXPORT ExternalRefCountData* getAndRef | ( | const QObject * |  | ) | `[static]`

Search for all occurrences

Q_CORE_EXPORT void setQObjectShared | ( | const QObject * | ,
|  | bool | enable
| ) |  |

Search for all occurrences

void setQObjectShared | ( |  | ... | ) | `[inline]`

Search for all occurrences

Definition at line 195 of file qsharedpointer_impl.h.

    { }

## Member Data Documentation

QBasicAtomicInt weakref

Search for all occurrences

Definition at line 175 of file qsharedpointer_impl.h.

QBasicAtomicInt strongref

Search for all occurrences

Definition at line 176 of file qsharedpointer_impl.h.

The documentation for this struct was generated from the following file:

- QtCore/qsharedpointer_impl.h